Subject: Re: [bug#49619] [PATCH v3 1/2] gnu: Add python-very-pretty-table.

From: phodina <[email-masked]>
Date: Mon, 27 Sep 2021 22:41:55 +0000

On Wednesday, September 22nd, 2021 at 5:21 AM, Sarah Morgensen <[email-masked]> wrote:

> Hi,
>
> phodina [email-masked] writes:
>
> > Hi Sarah!
> >
> > Are these fixes now compliant to upstream the patch?
>
> It's pretty good. I went ahead and made a few changes (attached below):
>
> I tweaked the descriptions, I changed very-pretty-table to
>
> veryprettytable so the python importer can find it in the future, I
>
> changed pirate-get's propagated-inputs to inputs since it's an end-user
>
> package, and I changed the license of pirate-get to AGPL-3.
>
> -   Package review checklist (WIP)
>
>     Lack of a check is not proof of noncompliance.
>
> 1.  [X] Package builds (guix build package)
>
>     [X] x86_64 [ ] aarch64 [ ] armhf [ ] powerpc64le
>
>     [ ] i686 [ ] i586 [ ] mips64le
> 2.  [X] Build is reproducible (guix build --rounds=n package)
> 3.  [X] Tests enabled (if available) or disabled with in-source comment
> 4.  [X] No extraneous dependencies (guix size package)
> 5.  [X] No unnecessary pre-built binaries/blobs
> 6.  [X] Dependencies unvendored when available in Guix
> 7.  [X] Cross-compile friendly (cc-for-target, patches with inputs)
> 8.  [X] License matches source
> 9.  [X] No problematic lints (guix lint package)
> 10.  [X] Formatting follows guidelines
>     -   [X] Lines wrap at 80 characters
>     -   [X] Indentation passes etc/indent-code.el
>     -   [X] Two spaces used between sentences
>
>         For new packages:
> 11.  [X] Source url is robust
>     -   mirror:// used with url-fetch when possible
>     -   No auto-generated archives from source repo (prefer cloning)
> 12.  [X] Synopsis is short, descriptive, and meaningful to a wide audience
> 13.  [X] Description is objective, takes 5-10 lines, uses full sentences,
>

Thanks for the list! I'll follow it next time I'll submit a package or propose a change :-)
>     and provides the information users need to decide whether the
>
>     software fits their needs.
>
>     I also gave it a spin, and it works fine as long as the SSL_CERT_DIR
>
>     environment variable is defined (I think that's beyond the scope of this
>

Well I also thought about the certificates but as you mentioned that's probably out of scope and it would be good to handle it by default in the build script so that we don't have to do it for the packages requiring network connectivity.
>     package). LGTM.
>     Thanks for your work!

You're welcome. Guix is the exact distribution I've been looking for and porting tools I use is a nice way to get familiar with the Guile programming language and the ideas behind Guix (and Nix :)
>     --
>     Sarah